Bug 484986 - grub-install fails on virtio disk
grub-install fails on virtio disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 18:30 EST by Matthew Booth
Modified: 2012-08-16 18:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script that creates /boot/grub/device.map file (246 bytes, application/x-sh)
2010-06-03 06:54 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Matthew Booth 2009-02-10 18:30:26 EST
Description of problem:
I attempted an installation of F11 Alpha in a KVM VM on F10. This resulted in a non-bootable instance. Booting a live CD and examining the installation, it looks like grub is the culprit:

# grub-install /dev/vda
No suitable drive was found in the generated device map.

Version-Release number of selected component (if applicable):
grub-0.97-37.fc11

How reproducible:
Always

Steps to Reproduce:
1. Boot F11 Alpha live CD
2. Install to disk
3. Reboot
  
Actual results:
Unbootable system

Expected results:
Bootable system

Additional info:
Comment 1 Mark McLoughlin 2009-02-20 14:16:07 EST
(In reply to comment #0)
> I attempted an installation of F11 Alpha in a KVM VM on F10. This resulted in 
> a non-bootable instance.

Could you give some more details on how you did this install? This should work fine.

> Booting a live CD and examining the installation, it looks like grub is 
> the culprit:
> 
> # grub-install /dev/vda
> No suitable drive was found in the generated device map.

What does /boot/grub/device.map contain?
Comment 2 lexual 2009-03-01 04:43:12 EST

*** This bug has been marked as a duplicate of bug 479760 ***
Comment 3 Richard W.M. Jones 2010-05-06 04:59:33 EDT
I don't think this is a dupe, this is a different bug.

On a very recent Fedora 13/Rawhide hybrid box I can reproduce
the bug that Matt saw:

# grub-install --root-directory=/sysroot /dev/vda1
Probing devices to guess BIOS drives. This may take a long time.
No suitable drive was found in the generated device map.

/boot/grub/device.map contains:
(fd0)	/dev/fd0

An easy reproducer for this with guestfish >= 1.3:

$ rm -f test1.img
$ guestfish -N fs -m /dev/vda1 grub-install / /dev/vda1

(Add the '-v' option on the guestfish command line to get a
lot more detail).
Comment 4 Richard W.M. Jones 2010-06-03 06:54:53 EDT
Created attachment 419330 [details]
script that creates /boot/grub/device.map file

I found that this works if you manually create a device.map
file, eg:

mkdir /boot
mkdir /boot/grub
upload -<<__end__ /boot/grub/device.map
(hd0) /dev/vda
__end__
grub-install / /dev/vda

This appears to be related to bug 479760, marked as fixed
but this might have regressed.

I have posted a patch which changes the documentation to
note the extra steps that users may need to take if they
encounter this error message:

https://www.redhat.com/archives/libguestfs/2010-June/msg00036.html
Comment 5 Bug Zapper 2010-07-30 06:36:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2012-08-16 18:35:31 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.